var e = require("../../common/vendor.js"),
  n = require("../../hooks/onMounted.js"),
  u = require("../../hooks/onShareAppMessage.js"),
  r = require("../../service/index.js"),
  o = require("../../hooks/useState.js"),
  i = require("../../utils/navigate.js"),
  t = require("../../utils/util.js"),
  s = require("../../utils/common.js"),
  a = require("../../enums/index.js");
require("../../config/index.js"),
  require("../../constant/index.js"),
  require("../../utils/request.js"),
  require("../../store/app/index.js"),
  require("../../data/index.js"),
  Math || (e.unref(l) + e.unref(f) + e.unref(d) + e.unref(c))();
var c = function () {
    return "../../components/popup-login/index.js";
  },
  d = function () {
    return "../../components/popup-upload-tips/index.js";
  },
  l = function () {
    return "../../components/float-help/index.js";
  },
  f = function () {
    return "../../components/float-share/index.js";
  },
  p = {
    __name: "index",
    setup: function (c) {
      var d = o.useState().mobile,
        l = e.ref(!0),
        f = e.ref(""),
        p = e.ref({}),
        v = e.ref(!1),
        j = e.ref(!1),
        m = function () {
          i.redirectTo({ url: "/pages/order-list-mine/index" });
        },
        q = function () {
          s.chooseDrivingLicense({ orderNo: f.value }).then(function () {
            i.redirectTo({ url: "/pages/upload-success/index" });
          });
        },
        x = function () {
          v.value = !0;
        },
        h = function () {
          s.queryWithoutDrivingLicense({ orderNo: f.value }).then(function () {
            i.redirectTo({ url: "/pages/upload-success/index" });
          });
        },
        g = function () {
          v.value = !1;
        },
        _ = function () {
          return (
            !!p.value.productList &&
            e._.find(p.value.productList, function (e) {
              return (
                e.product_id === a.ProductTypeEnum.INSURANCE_MAINTAIN ||
                e.product_id === a.ProductTypeEnum.ACCIDENT
              );
            })
          );
        },
        N = function () {
          j.value = !1;
        };
      return (
        n.onMounted(function (e) {
          (f.value = e.orderNo),
            r.getOrderDetail({ order_no: f.value }).then(function (e) {
              d.value ||
                setTimeout(function () {
                  j.value = !0;
                }, 300),
                (p.value = e),
                (l.value = !1),
                t.hideLoading();
            });
        }),
        u.onShareAppMessage(),
        function (n, u) {
          return e.e(
            { a: !l.value },
            l.value
              ? {}
              : e.e(
                  { b: _() },
                  (_(), {}),
                  { c: !_() },
                  (_(), {}),
                  { d: _() },
                  _() ? { e: e.o(q) } : {},
                  { f: _() && p.value.vin },
                  _() && p.value.vin ? { g: e.o(x) } : {},
                  {
                    h: e.o(m),
                    i: e.o(g),
                    j: e.o(h),
                    k: e.p({ visible: v.value }),
                    l: e.o(N),
                    m: e.p({ visible: j.value }),
                  }
                )
          );
        }
      );
    },
  },
  v = e._export_sfc(p, [["__scopeId", "data-v-df5365c6"]]);
(p.__runtimeHooks = 2), wx.createPage(v);
